#! /bin/sh


##
##  Compile selection (TextMate version). NB: stdin should be the full doc.
##


tempdir="/tmp/`id -u`/LaTeX"
tempfile="$tempdir/selection.tex"
mkdir -p "$tempdir"

# complain if no text is selected, since this will cause no output, and bail
# out:
if [ "$TM_SELECTED_TEXT" = "" ]; then
    osascript -e 'beep'
    exit
fi 

# make a TeX file:
preambleonly >"$tempfile" 
echo "$TM_SELECTED_TEXT" >>"$tempfile"
echo " " >>"$tempfile"
echo "\end{document}" >>"$tempfile"

# compile, using TextMate compile script:
compile-tm "$tempfile" >/dev/null 2>&1 &
