#!/bin/sh


##
##  Pilot TextMate: Go to first TeX error in front document
##
##  (Assumes the log file has errors reported in the
##  normal format, not the file:errornum:errormessage format.)
## 

logfilename=`basename "$TM_FILEPATH" ".tex"`.log

# if there is an appropriate error file...
if [ -f "$logfilename" ]; then
	
	errline=`
		cat "$logfilename" |
		perl -e '$/=undef; $_=<>; /.*?\nl\.(\d+).*/s; print "$1";'
		`
		
	if [ "$errline" == "" ]; then
		osascript -e 'beep'
	else
		osascript >/dev/null 2>&1 -e "
			tell app \"System Events\"
			    tell process \"TextMate\" 
			        tell menu bar 1
			            tell menu bar item \"Navigation\"
			                tell menu \"Navigation\"
			                    click menu item \"Go to Line...\"
			                end tell
			            end tell
			        end tell
			        tell window \"Go to Line\"
			            set value of text field 1 to \"$errline\"
			            click button \"Go to Line\"
			        end tell
			    end tell
			end tell
			" &
	fi
	
# ...otherwise, complain:
else

	osascript -e 'beep'

fi